<?php

use Illuminate\Support\Facades\Route;

use App\Livewire\Admin\Dashboard as AdminDashboard;

Route::view('/', 'welcome');



Route::view('dashboard', 'dashboard')
    ->middleware(['auth', 'verified'])
    ->name('dashboard');

Route::view('profile', 'profile')
    ->middleware(['auth'])
    ->name('profile');

require __DIR__.'/auth.php';


Route::middleware(['auth'])->prefix('admin')->name('admin.')->group(function () {
    Route::get('/dashboard', AdminDashboard::class)->name('dashboard');
    Route::get('/activity-log', function () {return view('livewire.admin.activity-log');})->name('activity-log');
    Route::get('/room-status-log', function () {return view('livewire.admin.room-status-log');})->name('room-status-log');
    Route::get('/machine-status', function () {return view('livewire.admin.machine-status');})->name('machine-status');
    Route::get('/roles', function () {return view('livewire.admin.roles');})->name('roles');
    Route::get('/users', function () {return view('livewire.admin.users');})->name('users');
    Route::get('/artists', function () {return view('livewire.admin.artists');})->name('artists');
    Route::get('/songs', function () {return view('livewire.admin.songs');})->name('songs');
    Route::get('/branches', function () {return view('livewire.admin.branches');})->name('branches');
    Route::get('/rooms', function () {return view('livewire.admin.rooms');})->name('rooms');
    Route::get('/room-grids', function () {return view('livewire.admin.room-grids');})->name('room-grids'); 
});